
From: Jeff Dike <jdike@addtoit.com>

The comment should be self-explanatory.  This works around a pile of
nasty-looking build output.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-um/atomic.h |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN include/asm-um/atomic.h~uml-update-atomich-so-uml-builds-cleanly include/asm-um/atomic.h
--- 25/include/asm-um/atomic.h~uml-update-atomich-so-uml-builds-cleanly	2004-11-04 20:13:29.564915680 -0800
+++ 25-akpm/include/asm-um/atomic.h	2004-11-04 20:13:29.567915224 -0800
@@ -1,6 +1,11 @@
 #ifndef __UM_ATOMIC_H
 #define __UM_ATOMIC_H
 
+/* The i386 atomic.h calls printk, but doesn't include kernel.h, so we
+ * include it here.
+ */
+#include "linux/kernel.h"
+
 #include "asm/arch/atomic.h"
 
 #endif
_
